CFXMLParser Reference (deprecated)

## Detailed Description

## Data Structures

struct | CFXMLParserCallBacks
struct | CFXMLParserContext

## Typedefs

typedef struct __CFXMLParser * | CFXMLParserRef
typedef void *(* | CFXMLParserCreateXMLStructureCallBack) (CFXMLParserRef parser, CFXMLNodeRef nodeDesc, void *info)
typedef void(* | CFXMLParserAddChildCallBack) (CFXMLParserRef parser, void *parent, void *child, void *info)
typedef void(* | CFXMLParserEndXMLStructureCallBack) (CFXMLParserRef parser, void *xmlType, void *info)
typedef CFDataRef(* | CFXMLParserResolveExternalEntityCallBack) (CFXMLParserRef parser, CFXMLExternalID *extID, void *info)
typedef Boolean(* | CFXMLParserHandleErrorCallBack) (CFXMLParserRef parser, CFXMLParserStatusCode error, void *info)
typedef CFStringRef(* | CFXMLParserCopyDescriptionCallBack) (const void *info)
typedef void(* | CFXMLParserReleaseCallBack) (const void *info)
typedef const void *(* | CFXMLParserRetainCallBack) (const void *info)

## Enumerations

enum

CFXMLParserStatusCode {
kCFXMLStatusParseNotBegun = -2 , kCFXMLStatusParseInProgress = -1 , kCFXMLStatusParseSuccessful = 0 , kCFXMLErrorUnexpectedEOF = 1 ,
kCFXMLErrorUnknownEncoding = 2 , kCFXMLErrorEncodingConversionFailure = 3 , kCFXMLErrorMalformedProcessingInstruction = 4 , kCFXMLErrorMalformedDTD = 5 ,
kCFXMLErrorMalformedName = 6 , kCFXMLErrorMalformedCDSect = 7 , kCFXMLErrorMalformedCloseTag = 8 , kCFXMLErrorMalformedStartTag = 9 ,
kCFXMLErrorMalformedDocument = 10 , kCFXMLErrorElementlessDocument = 11 , kCFXMLErrorMalformedComment = 12 , kCFXMLErrorMalformedCharacterReference = 13 ,
kCFXMLErrorMalformedParsedCharacterData = 14 , kCFXMLErrorNoData = 15
}

enum | CFXMLParserOptions { kCFXMLParserValidateDocument = (1 << 0) , kCFXMLParserSkipMetaData = (1 << 1) , kCFXMLParserReplacePhysicalEntities = (1 << 2) , kCFXMLParserSkipWhitespace = (1 << 3) , kCFXMLParserResolveExternalEntities = (1 << 4) , kCFXMLParserAddImpliedAttributes = (1 << 5) , kCFXMLParserAllOptions = 0x00FFFFFF , kCFXMLParserNoOptions = 0 }

## Functions

CFTypeID | CFXMLParserGetTypeID (void)
void | CFXMLParserAbort (CFXMLParserRef parser, CFXMLParserStatusCode errorCode, CFStringRef errorDescription)
CFStringRef | CFXMLParserCopyErrorDescription (CFXMLParserRef parser)
CFXMLParserRef | CFXMLParserCreate (CFAllocatorRef allocator, CFDataRef xmlData, CFURLRef dataSource, CFOptionFlags parseOptions, CFIndex versionOfNodes, CFXMLParserCallBacks *callBacks, CFXMLParserContext *context)
CFXMLParserRef | CFXMLParserCreateWithDataFromURL (CFAllocatorRef allocator, CFURLRef dataSource, CFOptionFlags parseOptions, CFIndex versionOfNodes, CFXMLParserCallBacks *callBacks, CFXMLParserContext *context)
void | CFXMLParserGetCallBacks (CFXMLParserRef parser, CFXMLParserCallBacks *callBacks)
void | CFXMLParserGetContext (CFXMLParserRef parser, CFXMLParserContext *context)
void * | CFXMLParserGetDocument (CFXMLParserRef parser)
CFIndex | CFXMLParserGetLineNumber (CFXMLParserRef parser)
CFIndex | CFXMLParserGetLocation (CFXMLParserRef parser)
CFURLRef | CFXMLParserGetSourceURL (CFXMLParserRef parser)
CFXMLParserStatusCode | CFXMLParserGetStatusCode (CFXMLParserRef parser)
Boolean | CFXMLParserParse (CFXMLParserRef parser)

## Data Structure Documentation

## CFXMLParserCallBacks

struct CFXMLParserCallBacks

Data Fields
CFIndex | version |
CFXMLParserCreateXMLStructureCallBack | createXMLStructure |
CFXMLParserAddChildCallBack | addChild |
CFXMLParserEndXMLStructureCallBack | endXMLStructure |
CFXMLParserResolveExternalEntityCallBack | resolveExternalEntity |
CFXMLParserHandleErrorCallBack | handleError |

## CFXMLParserContext

struct CFXMLParserContext

Data Fields
CFIndex | version |
void * | info |
CFXMLParserRetainCallBack | retain |
CFXMLParserReleaseCallBack | release |
CFXMLParserCopyDescriptionCallBack | copyDescription |